﻿-- Cooldown List

function SN:setupCDList()
	SN.V.defaults.profile.cooldowns = {
--------------
--Shaman CDs--
--------------
-- Spirit Link Totem
	[98008] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 98008,
		CD = 180,
		class = "SHAMAN", 
		cast_time = 6,
		enable = true,
		type = "raid",
	},
-- Mana Tide Totem
	[16190] ={
		succ = "SPELL_CAST_SUCCESS",
		id = 16190,
		CD = 180,
		class = "SHAMAN",
		cast_time = 12,
		enable = true,
		type = "raid",
	},
-- Healing Tide Totem
	[108280] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 108280,
		CD = 180,
		class = "SHAMAN",
		talents = 5,
		enable = true,
		type = "raid",
	},
-- Stormlash Totem
	[120668] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 120668,
		CD = 300,
		class = "SHAMAN",
		enable = true,
		type = "raid",
	},
-- Earth Elemental Totem
	[2062] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 2062,
		CD = 300,
		class = "SHAMAN",
		enable = true,
		type = "personal",
	},
-- Fire Elemental Totem
	[2894] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 2894,
		glyphid = 55455,
		CD = 300,
		CD2 = 180,
		class = "SHAMAN",
		enable = true,
		type = "personal",
	},
-- Bloodlust
	[2825] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 2825,
		CD = 300,
		class = "SHAMAN",
		enable = true,
		type = "raid",
	},
-- Heroism
	[32182] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 32182,
		CD = 300,
		class = "SHAMAN",
		enable = true,
		type = "raid",
	},
-- Ascendance
	[114049] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 114049,
		CD = 180,
		class = "SHAMAN",
		enable = true,
		type = "raid",
	},
--------------------
--Death Knight CDs--
--------------------
-- Raise Ally
	[61999] = {
		succ = "SPELL_CAST_SUCCESS", 
		id = 61999,
		CD = 600,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-- Anti-Magic Zone
	[51052] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 51052,
		CD = 120,
		class = "DEATHKNIGHT",
		talents = 2,
		enable = true,
		type = "raid",
	},
-- Vampiric Blood
	[55233] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 55233,
		CD = 180,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-- Dancing Rune Weapon
	[49028] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 49028,
		CD = 90,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-- Army of the Dead
	[42650] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 42650,
		CD = 600,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-- Bone Shield
	[49222] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 49222,
		CD = 60,
		class = "DEATHKNIGHT",
		enable = true,
		type = "personal",
	},
-- Anti-Magic Zone
	[51052] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 51052,
		CD = 120,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-- Lichborne
	[49039] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 49039,
		CD = 120,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-- Icebound Fortitude
	[48792] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 48792,
		CD = 180,
		class = "DEATHKNIGHT",
		enable = true,
		type = "raid",
	},
-------------
--Druid CDs--
-------------
-- Tranquility
	[740] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 740,
		CD = 180,
		class = "DRUID",
		enable = true,
		type = "raid",
	},
-- Ironbark
	[102342] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 102342,
		CD = 120,
		class = "DRUID",
		enable = true,
		type = "raid",
	},
-- Rebirth
	[20484] = {
		succ = "SPELL_CAST_START",
		id = 20484,
		cd = 600,
		class = "DRUID",
		enable = true,
		type = "raid",
	},
-- Innervate
	[29166] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 29166,
		CD = 180,
		class = "DRUID",
		enable = true,
		type = "raid",
	},
------------
--Monk CDs--
------------
-- Zen Meditation
	[115176] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 115176,
		CD = 180,
		class = "MONK",
		enable = true,
		type = "raid",
	},
-- Life Cocoon
	[116849] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 116849,
		CD = 120,
		class = "MONK",
		spec = "Mistweaver",
		enable = true,
		type = "raid",
	},
-- Revival
	[115310] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 115310,
		CD = 180,
		class = "MONK",
		spec = "Mistweaver",
		enable = true,
		type = "raid",
	},
---------------
--Paladin CDs--
---------------
-- Devotion Aura
	[31821] = {
		id = 31821,
		succ = "SPELL_CAST_SUCCESS",
		CD = 180,
		class = "PALADIN",
		enable = true,
		type = "raid",
	},
-- Hand of Sacrifice
	[6940] = {
		id = 6940,
		succ = "SPELL_CAST_SUCCESS",
		CD = 120,
		class = "PALADIN",
		enable = true,
		type = "raid",
	},
--------------
--Priest CDs--
--------------
-- Power Word: Barrier 
	[62618] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 62618,
		CD = 180,
		class = "PRIEST", 
		cast_time = 10,
		spec = "Discipline",
		enable = true,
		type = "raid",
	},
-- Pain Suppression  
	[33206] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 33206,
		CD = 180,
		class = "PRIEST", 
		cast_time = 8,
		spec = "Discipline",
		enable = true,
		type = "raid",
	},
-- Divine Hymn
	[64843] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 64843,
		CD = 180,
		class = "PRIEST", 
		cast_time = 8,
		spec = "Holy",
		enable = true,
		type = "raid",
	},	
-- Guardian Spirit 
	[47788] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 47788,
		CD = 180,
		class = "PRIEST", 
		cast_time = 10,
		spec = "Holy",
		enable = true,
		type = "raid",
	},	
-- Void Shift
	[108968] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 108968,
		CD = 360,
		class = "PRIEST",
		enable = true,
		type = "raid",
	},
-- Hymn Of Hope
	[64901] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 64901,
		CD = 360,
		class = "PRIEST", 
		cast_time = 8,
		enable = true,
		type = "raid",
	},
----------------
--Warrior CD's--
----------------
-- Rallying Cry
	[97462] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 97462,
		CD = 180,
		class = "WARRIOR",
		enable = true,
		type = "raid",
	},
-- Demoralizing Banner
	[114203] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 114203,
		CD = 180,
		class = "WARRIOR",
		enable = true,
		type = "raid",
	},
---------------
--Hunter CD's--
---------------
-- Rapid Fire
	[3045] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 3045,
		CD = 180,
		class = "HUNTER",
		enable = true,
		type = "personal",
		reset = true,
	},
-- Readiness
	[23989] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 23989,
		CD = 300,
		resetcd = true,
		class = "HUNTER",
		enable = true,
		type = "personal",
	},
-- Deterrence
	[19263] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 19263,
		CD = 120,
		class = "HUNTER",
		type = "personal",
		enable = true,
		reset = true,
	},
-- Stampede
	[121818] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 121818,
		CD = 360,
		class = "HUNTER",
		enable = true,
		type = "personal",
	},
-- Beastial Wrath
	[19574] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 19574,
		CD = 60,
		class = "HUNTER",
		type = "personal",
		enable = true,
		reset = true,
	},
-- Muder of Crows
	[131894] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 131894,
		CD = 120,
		class = "HUNTER",
		enable = true,
		type = "personal",
		reset = true,
	},
-- Lynx Rush
	[120697] = {
		succ = "SPELL_CAST_SUCCESS",
		id = 120697,
		CD = 90,
		class = "HUNTER",
		enable = true,
		type = "personal",
		reset = true,
	}
}
end
